@if (componentData$ | async; as componentData) {
  @if (componentData.requirementVersion.requirementStats; as stats) {
    <div class="grid">
      <div class="flex-column" [attr.data-test-element-id]="'total-stats'">
        <sqtm-app-requirement-version-rate
          [attr.data-test-element-id]="'coverage-rate'"
          [titleKey]="COVERAGE_KEY"
          [matchingCount]="getTotalCoverageMatch(stats)"
          [total]="getTotalCoverageTotal(stats)"
        >
        </sqtm-app-requirement-version-rate>
        <sqtm-app-requirement-version-rate
          [attr.data-test-element-id]="'redaction-rate'"
          [titleKey]="'sqtm-core.requirement-workspace.rate.redaction'"
          [matchingCount]="stats.total.redactedTestCase"
          [total]="stats.total.allTestCaseCount"
        >
        </sqtm-app-requirement-version-rate>
        <sqtm-app-requirement-version-rate
          [attr.data-test-element-id]="'verification-rate'"
          [titleKey]="'sqtm-core.requirement-workspace.rate.verification'"
          [matchingCount]="stats.total.verifiedTestCase"
          [total]="stats.total.plannedTestCase"
        >
        </sqtm-app-requirement-version-rate>
        <sqtm-app-requirement-version-rate
          [attr.data-test-element-id]="'validation-rate'"
          [titleKey]="'sqtm-core.requirement-workspace.rate.validation'"
          [matchingCount]="stats.total.validatedTestCases"
          [total]="stats.total.executedTestCase"
        >
        </sqtm-app-requirement-version-rate>
      </div>
      @if (stats.haveChildren) {
        <div
          class="flex-column"
          [attr.data-test-element-id]="'current-version-stats'"
        >
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'coverage-rate'"
            [titleKey]="currentStatsLabelKey"
            [matchingCount]="getCurrentCoverageMatch(stats)"
            [total]="1"
          >
          </sqtm-app-requirement-version-rate>
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'redaction-rate'"
            [titleKey]="currentStatsLabelKey"
            [matchingCount]="stats.currentVersion.redactedTestCase"
            [total]="stats.currentVersion.allTestCaseCount"
          >
          </sqtm-app-requirement-version-rate>
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'verification-rate'"
            [titleKey]="currentStatsLabelKey"
            [matchingCount]="stats.currentVersion.verifiedTestCase"
            [total]="stats.currentVersion.plannedTestCase"
          >
          </sqtm-app-requirement-version-rate>
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'validation-rate'"
            [titleKey]="currentStatsLabelKey"
            [matchingCount]="stats.currentVersion.validatedTestCases"
            [total]="stats.currentVersion.executedTestCase"
          >
          </sqtm-app-requirement-version-rate>
        </div>
        <div class="flex-column" [attr.data-test-element-id]="'child-stats'">
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'coverage-rate'"
            [titleKey]="childStatsLabelKey"
            [matchingCount]="getDescendantsCoverageMatch(stats)"
            [total]="getDescendantsCoverageTotal(stats)"
          >
          </sqtm-app-requirement-version-rate>
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'redaction-rate'"
            [titleKey]="childStatsLabelKey"
            [matchingCount]="stats.children.redactedTestCase"
            [total]="stats.children.allTestCaseCount"
          >
          </sqtm-app-requirement-version-rate>
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'verification-rate'"
            [titleKey]="childStatsLabelKey"
            [matchingCount]="stats.children.verifiedTestCase"
            [total]="stats.children.plannedTestCase"
          >
          </sqtm-app-requirement-version-rate>
          <sqtm-app-requirement-version-rate
            [attr.data-test-element-id]="'validation-rate'"
            [titleKey]="childStatsLabelKey"
            [matchingCount]="stats.children.validatedTestCases"
            [total]="stats.children.executedTestCase"
          >
          </sqtm-app-requirement-version-rate>
        </div>
      }
    </div>
  } @else {
    <div class="full-width">
      <sqtm-core-full-page-loading-icon> </sqtm-core-full-page-loading-icon>
    </div>
  }
}
